package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("rongyun_whiteboard")
public class RongyunWhiteboard extends Model<RongyunWhiteboard> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * room id
     */
    private String rid;
    /**
     * whiteboard room
     */
    @TableField("wb_room")
    private String wbRoom;
    /**
     * displayer uri
     */
    private String wbid;
    private String name;
    private String creator;
    /**
     * 总页数
     */
    @TableField("pg_count")
    private Integer pgCount;
    /**
     * 当前页
     */
    @TableField("cur_pg")
    private Integer curPg;
    @TableField("create_dt")
    private Date createDt;


    public Integer getId() {
        return id;
    }

    public RongyunWhiteboard setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getRid() {
        return rid;
    }

    public RongyunWhiteboard setRid(String rid) {
        this.rid = rid;
        return this;
    }

    public String getWbRoom() {
        return wbRoom;
    }

    public RongyunWhiteboard setWbRoom(String wbRoom) {
        this.wbRoom = wbRoom;
        return this;
    }

    public String getWbid() {
        return wbid;
    }

    public RongyunWhiteboard setWbid(String wbid) {
        this.wbid = wbid;
        return this;
    }

    public String getName() {
        return name;
    }

    public RongyunWhiteboard setName(String name) {
        this.name = name;
        return this;
    }

    public String getCreator() {
        return creator;
    }

    public RongyunWhiteboard setCreator(String creator) {
        this.creator = creator;
        return this;
    }

    public Integer getPgCount() {
        return pgCount;
    }

    public RongyunWhiteboard setPgCount(Integer pgCount) {
        this.pgCount = pgCount;
        return this;
    }

    public Integer getCurPg() {
        return curPg;
    }

    public RongyunWhiteboard setCurPg(Integer curPg) {
        this.curPg = curPg;
        return this;
    }

    public Date getCreateDt() {
        return createDt;
    }

    public RongyunWhiteboard setCreateDt(Date createDt) {
        this.createDt = createDt;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "RongyunWhiteboard{" +
        ", id=" + id +
        ", rid=" + rid +
        ", wbRoom=" + wbRoom +
        ", wbid=" + wbid +
        ", name=" + name +
        ", creator=" + creator +
        ", pgCount=" + pgCount +
        ", curPg=" + curPg +
        ", createDt=" + createDt +
        "}";
    }
}
